> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get endpoints

> Get types of endpoints for Residential subscription



## OpenAPI

````yaml /api-reference/jero_public_api.yaml get /v2/endpoints
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/endpoints:
    get:
      tags:
        - Endpoints
      summary: Get endpoints
      description: Get types of endpoints for Residential subscription
      operationId: get-endpoints
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [
                      0:{
                        "type":"random"
                        "available_locations":"148"
                        "url":"endpoints/random"
                      }
                      1:{
                        "type":"sticky"
                        "available_locations":"62"
                        "url":"endpoints/sticky"
                      }
                    ]
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components: {}

````